summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-15 13:15:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-15 13:15:19 +0000
commit6a43745b968bc06d584e577a66141ea984138222 (patch)
tree449b40c8df0d16ef4b7b88fef76bef8817ee2837 /dev-ruby
parent4ed27139afc9404054461e4d12e1e1b517bc4ba4 (diff)
downloadbaldeagleos-repo-6a43745b968bc06d584e577a66141ea984138222.tar.gz
baldeagleos-repo-6a43745b968bc06d584e577a66141ea984138222.tar.xz
baldeagleos-repo-6a43745b968bc06d584e577a66141ea984138222.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/immutable-ruby/Manifest1
-rw-r--r--dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild33
-rw-r--r--dev-ruby/immutable-ruby/metadata.xml12
-rw-r--r--dev-ruby/stringio/Manifest1
-rw-r--r--dev-ruby/stringio/stringio-3.0.7.ebuild30
-rw-r--r--dev-ruby/sus/Manifest1
-rw-r--r--dev-ruby/sus/sus-0.21.1.ebuild32
7 files changed, 110 insertions, 0 deletions
diff --git a/dev-ruby/immutable-ruby/Manifest b/dev-ruby/immutable-ruby/Manifest
new file mode 100644
index 000000000000..c9f514f4076f
--- /dev/null
+++ b/dev-ruby/immutable-ruby/Manifest
@@ -0,0 +1 @@
+DIST immutable-ruby-0.1.0.tar.gz 134479 BLAKE2B c113ab9bf6b9accdc40eed351cc3177745e52926546d3c4c001786b47790b2c2eba97dfd0751000fd51ad11eb760039c82a2c6f0618776d87a460a16bfc1b9cf SHA512 3136884f791f0d9c1e460a848192723753f5c63f230faa2cec32445ea875392871d38de09222521fd78493397561a4dddbc61e9b020d5089d1c90694c46bde19
diff --git a/dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild b/dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild
new file mode 100644
index 000000000000..6078251ff622
--- /dev/null
+++ b/dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_GEMSPEC="immutable-ruby.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+# Releases are not tagged upstream
+COMMIT=84dba7382284fe7e85816a65abf5c2fc9bbc089e
+
+inherit ruby-fakegem
+
+DESCRIPTION="Efficient, immutable, thread-safe collection classes for Ruby"
+HOMEPAGE="https://github.com/immutable-ruby/immutable-ruby"
+SRC_URI="https://github.com/immutable-ruby/immutable-ruby/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-${COMMIT}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.1:1
+ dev-ruby/sorted_set:0
+"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb spec/lib/immutable/vector/insert_spec.rb || die
+}
diff --git a/dev-ruby/immutable-ruby/metadata.xml b/dev-ruby/immutable-ruby/metadata.xml
new file mode 100644
index 000000000000..7dc8cc4bb0de
--- /dev/null
+++ b/dev-ruby/immutable-ruby/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">immutable-ruby</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/stringio/Manifest b/dev-ruby/stringio/Manifest
index ded39bd419f5..ebd8cb62cb00 100644
--- a/dev-ruby/stringio/Manifest
+++ b/dev-ruby/stringio/Manifest
@@ -1,3 +1,4 @@
DIST stringio-3.0.4.tar.gz 43654 BLAKE2B 08f0d41577cae1acba36acc3823218649342c45fde58fd4a2455a40e3f80859e405db541f1f3a55b222083b2e30efb8d6a2396edb208b1cfd802b5b85c196a4c SHA512 835fa9861e2446512715315ecd44ea192f6209ab5a12f10d91f11ad156ba896737531a5074e7f10f6cd5d3500fd07036de7a9d0bcbce4c2ffe75822fbb28a2f8
DIST stringio-3.0.5.tar.gz 43822 BLAKE2B 5b79def3cb154f4bb1f4a50b8eeb95e0841279d8500b0ad0cdae1f3029c2b53e8e3f46583ed0b5e289afe6636bb4610bc27a25e24acba5c7c1e679c5e4283f3b SHA512 d881dea34738e46fffaceb9a5e88fa3148979eff3571a6693d1d80bd01fbe236c0eb65bd8b2003abc0241bceff93d87fd3acd27b038b3a7bf6da65d492047153
DIST stringio-3.0.6.tar.gz 44971 BLAKE2B a143fc01e7b9434db3b444f6049b002549a4149b9573ceeab4bf8955555290b1f41ef6ff012c7f58d1bc0559ca864e83aeb34f0cb75c3133ea91ac51f55008ff SHA512 118e7672fb347b111f90f4380e49ad01aac617fdf6afc9317f2242e942e68fa55ef5d71782c15156ed7b4c91d1eff75ac68d870885650ac4505d6a17b368afab
+DIST stringio-3.0.7.tar.gz 44797 BLAKE2B 2772028015b6eb5e5a45e9c86551e62e91e24a627b7280530a10b1d343f08eb19b53d4fbeaf791ed23a239e0609775e8eb4c0550dadc282f690ecc9abef7930b SHA512 fcea0a32bb70c6f1d8a3b237e8a8dbb2677b00c077f0d6ddfa72e1e382c832277ee592dd2e17abdc12003b0494665853eab18fa90bf6f34f51efa0f62f7ea1b9
diff --git a/dev-ruby/stringio/stringio-3.0.7.ebuild b/dev-ruby/stringio/stringio-3.0.7.ebuild
new file mode 100644
index 000000000000..1fbf38918157
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.0.7.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String."
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/sus/Manifest b/dev-ruby/sus/Manifest
index a1f89d1c4a43..122733e79907 100644
--- a/dev-ruby/sus/Manifest
+++ b/dev-ruby/sus/Manifest
@@ -3,3 +3,4 @@ DIST sus-0.16.0.tar.gz 26123 BLAKE2B 829e2ec74e60eb41809d85e9f74e1c8697d7803c6f2
DIST sus-0.18.0.tar.gz 27299 BLAKE2B 235ee4b9229d27966eabddd9400b734bd98c9f175eb639830b45269977b75770c72357be7cc631076df90f35cec38cfa6137277394dc1af0053cf81de59a84bf SHA512 3aea3aeac304efeafd0dd27f523196965731521cebb123d781cbb3a59bbaf79a5db460f2bf8461d750865616ec1dd4cf4acc0c29d3be0a0d7f33e21c43e0844c
DIST sus-0.20.3.tar.gz 28845 BLAKE2B d10b142dd9d7ef44a453746f859a7d4a66eacd09ea157aef1887a95b01a88e7f749f9ca881518500eef48917b5cb1e67ac008327af0ae9df0200875bbe1de3b1 SHA512 1158f6ae53c5aae22454a15eaf7e613a00b1af730bf07af6662bd7e9d7f30365cea9dbebcddb5b6234931cf9414b8c3af0889d73194632cbaad439872cc89059
DIST sus-0.21.0.tar.gz 29581 BLAKE2B c39102c006b1fdfec6f40ef7eaa973a0cd5039b73402c8c5ff9234a0c06131c24550070fd04d59dd8706edbd08d46604e943f9b69e071dd29eefda103a1a6d1f SHA512 1fdbcbe814411a0ff3b9ebc72143f64fc76dbe11faea915e9d46bda786da9837e62a5a3070ceb6f28ac6bfe2c4fc8646de865efbc679abe80ee2a7abe327c007
+DIST sus-0.21.1.tar.gz 29580 BLAKE2B 9a30950b4ad9da13af48c50a96951ba9f9cace97fac3a603de5acfe489dc8c8d4581b064f2452c9bf5da96da4db8f488df42f89a2113dd924c8ba8fcf8fd9230 SHA512 73db74f791f47a898840db65cf9c2f98b92f3d2a5319828f26dc55c8aef8e0932060c1075f5010b3c2b887891c1467a3828728f78a84297725d851966093ce9e
diff --git a/dev-ruby/sus/sus-0.21.1.ebuild b/dev-ruby/sus/sus-0.21.1.ebuild
new file mode 100644
index 000000000000..47dc10e077b5
--- /dev/null
+++ b/dev-ruby/sus/sus-0.21.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast and scalable test runner"
+HOMEPAGE="https://github.com/ioquatix/sus"
+SRC_URI="https://github.com/ioquatix/sus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Remove the sus configuration which enabled coverage checks.
+ # Its dependency is not packaged.
+ rm -f config/sus.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} bin/sus-parallel || die
+}